Skip to content

Rename Image

PUT
/api/v1/images/{image_id}/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/images/{image_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"action_type": "rename",
"name": "test"
}'

Rename image by specifying a new name.

image_id
required
integer

Image ID

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
action_type
required

Action type to perform on the image

string

Example

rename
name
required

New name to assign to the image

string

Example

test

Successful response for renaming a image

Media typeapplication/json
object
code
integer
data
object
status
boolean
message
string
errors
object
message
string

Example

{
"code": 200,
"data": {
"status": true,
"message": "Image name changed successfully"
},
"errors": {},
"message": "Success"
}